Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.extension
Interface IPreparationContext

All Superinterfaces:
  org.eclipse.birt.report.engine.api.script.IReportContext

    public interface IPreparationContext

extends org.eclipse.birt.report.engine.api.script.IReportContext

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext
`PAGE_VAR_PAGE_LABEL`

Method Summary
`void` | `prepare(org.eclipse.birt.report.model.api.DesignElementHandle handle)`
`void` | `triggerEvent(org.eclipse.birt.report.model.api.DesignElementHandle handle)`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.IReportContext
`deleteGlobalVariable, deletePersistentGlobalVariable, evaluate, evaluate, evaluate, getAppContext, getApplicationClassLoader, getDesignHandle, getGlobalVariable, getHttpServletRequest, getLocale, getMessage, getMessage, getMessage, getMessage, getOutputFormat, getPageVariable, getParameterDisplayText, getParameterValue, getPersistentGlobalVariable, getRenderOption, getReportRunnable, getResource, getResourceRenderURL, getTaskType, getTimeZone, setGlobalVariable, setPageVariable, setParameterDisplayText, setParameterValue, setPersistentGlobalVariable`

Method Detail

### prepare

    void prepare(org.eclipse.birt.report.model.api.DesignElementHandle handle)
                 throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### triggerEvent

    void triggerEvent(org.eclipse.birt.report.model.api.DesignElementHandle handle)
                      throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.